#!/bin/sh
#########################################################################
#  This script is to be "sourced" to set the paths to fvs scripts and	#
#  executable files.							#
#									#
#  Log:									#
#  K. Brill	 5/98							#
#  K. Brill	11/02	Added IRIX64 path				#
#  K. Brill/HPC	 3/03	Created from /bin/csh version			#
#  K. Brill/HPC	 3/03	Changed VSDB_DATA				#
#  K. Brill/HPC	 6/05	Use $HOME; simplify				#
#  K. Brill/HPC 10/05	Check for EMC workstation "tempest"		#
#  K. Brill/HPC 20110428 Set paths to RHEL5 executable files		#
#  K. Brill/HPC 20131120 Set paths for lnx6 workstations		#
#########################################################################

DDAPP=$HOME/ddapp
VSDB=$HOME/vsdb_dev
VSDB_TBL=$VSDB/tables
VSDB_HLP=$VSDB/help
VSDB_SCRIPTS=$VSDB/scripts
VSDB_DAY1=199601010000
VSDB_TEMP=/tmp
VSDB_LIB=$VSDB/lib
export DDAPP VSDB VSDB_DATA VSDB_TBL VSDB_HLP VSDB_SCRIPTS VSDB_DAY1 VSDB_TEMP VSDB_LIB

wrkstn=`hostname -s`
opsys=`uname`
if [ $OS = HPUX -o -d /etc/sys_hp -o $opsys = 'HP-UX' ]; then
    echo $PATH | grep exe_hp > /dev/null 2>&1
    if [ $? -ne 0 ]; then
	PATH="$PATH:$DDAPP/exe_hp"
	VSDB_LIB=$VSDB_LIB/hp
    fi
elif [ $OS = IRIX ]; then
    echo $PATH | grep exe_sg5 > /dev/null 2>&1
    if [ $? -ne 0 ]; then
	PATH="$PATH:$DDAPP/exe_sg5"
	VSDB_LIB=$VSDB_LIB/sg5
    fi
elif [ $OS = IRIX64 ]; then
    echo $PATH | grep exe_sg64 > /dev/null 2>&1
    if [ $? -ne 0 ]; then
	PATH="$PATH:$DDAPP/exe_sg64"
	VSDB_LIB=$VSDB_LIB/sg64
    fi
elif [ $OS = Linux -o $OS = LINUX ]; then
    if [ $wrkstn = tempest ]; then
        echo $PATH | grep exe_lnx2 > /dev/null 2>&1
        if [ $? -ne 0 ]; then
	    PATH="$PATH:$DDAPP/exe_lnx2"
	    VSDB_LIB=$VSDB_LIB/lnx2
        fi
    elif [ .$NA_OS = ".linux2.6.18el64" ]; then
        echo $PATH | grep exe_lnx5 > /dev/null 2>&1
        if [ $? -ne 0 ]; then
	    PATH="$PATH:$DDAPP/exe_lnx5"
        fi
        VSDB_LIB=$VSDB/lib/lnx5
    elif [ .$NA_OS = ".linux2.6.32_x86_64" ]; then
        echo $PATH | grep exe_lnx6 > /dev/null 2>&1
        if [ $? -ne 0 ]; then
	    PATH="$PATH:$DDAPP/exe_lnx6"
        fi
        VSDB_LIB=$VSDB/lib/lnx6
    else
        echo $PATH | grep exe_lnx > /dev/null 2>&1
        if [ $? -ne 0 ]; then
	    PATH="$PATH:$DDAPP/exe_lnx"
	    VSDB_LIB=$VSDB_LIB/lnx
        fi
    fi
elif [ $OS = AIX ]; then
    echo $PATH | grep exe_aix > /dev/null 2>&1
    if [ $? -ne 0 ]; then
	PATH="$PATH:$DDAPP/exe_aix"
	VSDB_LIB=$VSDB_LIB/aix
    fi
else
    echo fvs is not supported on this UNIX platform.
    exit
fi

PATH="$PATH:$VSDB/scripts"
export PATH
