#!/bin/sh
#########################################################################
#  This script is to be referenced to set the paths to fvs scripts and	#
#  executable files.							#
#									#
#  Log:									#
#  K. Brill	 5/04							#
#########################################################################
DDAPP=complete path to executable file directories
VSDB=complete path to fvs scripts, help, tables, etc.
VSDB_DATA=complete path to default VSDB data
export VSDB DDAPP VSDB_DATA

if [ ${OS:-null} = "null" ]; then
    cat << EOF

	NAWIPS paths and environment variables must be set first.

EOF
    exit
fi

fi

VSDB_TBL=$VSDB/tables
VSDB_HLP=$VSDB/help
VSDB_SCRIPTS=$VSDB/scripts
VSDB_DAY1=199001010000
VSDB_TEMP=/tmp
export VSDB_TBL VSDB_HLP VSDB_SCRIPTS VSDB_DAY1 VSDB_TEMP

if [ $OS = HPUX -o -d /etc/sys_hp -o `uname` = "HP-UX" ]; then
    echo $PATH | grep exe_hp > /dev/null 2>&1
    if [ $? -ne 0 ]; then
	PATH="$PATH:$DDAPP/exe_hp"
    fi
    VSDB_LIB=$VSDB/lib/hp
elif [ $OS = IRIX ]; then
    echo $PATH | grep exe_sg5 > /dev/null 2>&1
    if [ $? -ne 0 ]; then
	PATH="$PATH:$DDAPP/exe_sg5"
    fi
    VSDB_LIB=$VSDB/lib/sg5
elif [ $OS = IRIX64 ]; then
    echo $PATH | grep exe_sg64 > /dev/null 2>&1
    if [ $? -ne 0 ]; then
	PATH="$PATH:$DDAPP/exe_sg64"
    fi
    VSDB_LIB=$VSDB/lib/sg64
elif [ $OS = Linux -o $OS = LINUX ]; then
    echo $PATH | grep exe_lnx > /dev/null 2>&1
    if [ $? -ne 0 ]; then
	PATH="$PATH:$DDAPP/exe_lnx"
    fi
    VSDB_LIB=$VSDB/lib/lnx
elif [ $OS = AIX ]; then
    echo $PATH | grep exe_aix > /dev/null 2>&1
    if [ $? -ne 0 ]; then
	PATH="$PATH:$DDAPP/exe_aix"
    fi
    VSDB_LIB=$VSDB/lib/aix
else
    echo fvs is not supported on this UNIX platform.
    exit
fi

PATH="$PATH:$VSDB/scripts"
export PATH VSDB_LIB
